Tryton - Issues

 

Issue6739

Title Widget buttons should be ignored when tabbing
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot, xcodinas
Type feature request Components sao
Assigned To ced Keywords review
Reviews 43441002,41971002
View: 43441002, 41971002

Created on 2017-09-04.10:37:15 by xcodinas, last changed by ced.

Messages
msg39265 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-23.15:18:15
It was done on purpuse because there is not keyboard shortcut for it and tryton does the same.
review41971002 updated at https://codereview.tryton.org/41971002/#ps1
msg39259 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-03-23.13:52:19
I've noticed that the translate button is not skiped from keyboard navigation. 
Here is review41971002 that fixes it.
New changeset 840d1bd9e254 by C├ędric Krier in branch 'default':
Exclude widget buttons from keyboard navigation
http://hg.tryton.org/sao/rev/840d1bd9e254
review43441002 updated at https://codereview.tryton.org/43441002/#ps40001
review43441002 updated at https://codereview.tryton.org/43441002/#ps20001
msg39124 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-03-20.16:10:37
Indeed I checked again the fast-tabbing option in tryton. It is only used to set or not read-only widget in the navigation flow.
So I think we can ad tabindex=-1 on element of the widget that does not require to be in the navigation flow like the buttons etc.
msg37276 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-13.16:47:24
Fast tabbing is implemented in issue7010, so we should depend on it to only set tabindex if fast tabbing is activated.
msg37265 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-12.17:57:20
> I do not agree. In tryton, buttons are skipped only when fast tabbing is activated.

Then we should probably add an option for saving this configuration values (like in tryton), and then only add the tab index if fast tabbing is enabled. 

The same applies for save_tree state and for save wigth/heigth if it's someday implemented.
msg37264 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-12-12.17:52:03
I do not agree. In tryton, buttons are skipped only when fast tabbing is activated.
msg37263 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2017-12-12.17:36:26
I've made a test and the skip-navigation does not work on latest firefox. Only way to skip buttons is by using tabindex. 

About accessibility I don't see this change removes the accessibilty as it only afects the Many2one and Date widgets. This widgets can be used without problems without clicking the buttons.
msg35886 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-09-28.11:16:07
This may be a direction to dig: https://getbootstrap.com/docs/3.3/getting-started/#skip-navigation
msg35727 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-09-21.16:18:10
>I do not think it is correct because we do not have an option to allow to tab >to all element for accessibility as we have on tryton.

And how we can have such option?
msg35501 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2017-09-04.10:59:20
I do not think it is correct because we do not have an option to allow to tab to all element for accessibility as we have on tryton.
New review43441002 at https://codereview.tryton.org/43441002/#ps1
msg35497 (view) Author: [hidden] (xcodinas) (Tryton committer) Date: 2017-09-04.10:37:15
When tabbing on form view the focus also goes to the widget buttons, it should skip those buttons in order to go faster when tabbing.
History
Date User Action Args
2018-03-23 15:18:15cedsetstatus: testing -> resolved
assignedto: pokoli -> ced
messages: + msg39265
2018-03-23 14:18:24reviewbotsetmessages: + msg39261
2018-03-23 13:52:19pokolisetstatus: resolved -> testing
reviews: 43441002 -> 43441002,41971002
messages: + msg39259
assignedto: ced -> pokoli
2018-03-22 22:00:39roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg39236
2018-03-22 19:46:29reviewbotsetmessages: + msg39231
2018-03-20 17:15:25reviewbotsetmessages: + msg39127
2018-03-20 16:56:33cedsetstatus: chatting -> testing
assignedto: xcodinas -> ced
2018-03-20 16:10:37cedsetmessages: + msg39124
2017-12-13 16:47:24pokolisetmessages: + msg37276
2017-12-13 16:45:20pokolilinkissue7010 superseder

Showing 10 items. Show all history (warning: this could be VERY long)